Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class FrameEvent

    java.lang.Object
      java.util.EventObject
          edu.stanford.smi.protege.util.SessionEvent
              edu.stanford.smi.protege.util.AbstractEvent
                  edu.stanford.smi.protege.event.FrameEvent

All Implemented Interfaces:
  Event, Localizable, Serializable

    public class FrameEvent

extends AbstractEvent

Event generated when a frame changes.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary
`static int` | `BROWSER_TEXT_CHANGED`
`static int` | `DELETED`
`static int` | `NAME_CHANGED` Deprecated.
`static int` | `OWN_FACET_ADDED`
`static int` | `OWN_FACET_REMOVED`
`static int` | `OWN_FACET_VALUE_CHANGED`
`static int` | `OWN_SLOT_ADDED`
`static int` | `OWN_SLOT_REMOVED`
`static int` | `OWN_SLOT_VALUE_CHANGED`
`static int` | `REPLACE_FRAME`
`static int` | `VISIBILITY_CHANGED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FrameEvent(Frame frame, int type)`
`FrameEvent(Frame frame, int type, Object argument)`
`FrameEvent(Frame frame, int type, Object argument, Object argument2)`

Method Summary
`Facet` | `getFacet()`
`Frame` | `getFrame()`
`Frame` | `getNewFrame()`
`String` | `getOldName()`
`List` | `getOldValues()`
`Slot` | `getSlot()`
`boolean` | `isDeletingFrameEvent()`

Methods inherited from class edu.stanford.smi.protege.util.AbstractEvent
`equals, equals, getArgument, getArgument1, getArgument2, getArgument3, getEventType, getSource, getTimeStamp, getUserName, hashCode, isReplacementEvent, localize, setReplacementEvent, setSource, setTimeStamp, toString`

Methods inherited from class edu.stanford.smi.protege.util.SessionEvent
`getSession, isHiddenByTransaction, setHiddenByTransaction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_CHANGED

    @Deprecated
    public static final int NAME_CHANGED

  Deprecated.
  See Also:
    Constant Field Values

### REPLACE_FRAME

    public static final int REPLACE_FRAME

See Also:
  Constant Field Values

### DELETED

    public static final int DELETED

See Also:
  Constant Field Values

### VISIBILITY_CHANGED

    public static final int VISIBILITY_CHANGED

See Also:
  Constant Field Values

### BROWSER_TEXT_CHANGED

    public static final int BROWSER_TEXT_CHANGED

See Also:
  Constant Field Values

### OWN_SLOT_ADDED

    public static final int OWN_SLOT_ADDED

See Also:
  Constant Field Values

### OWN_SLOT_REMOVED

    public static final int OWN_SLOT_REMOVED

See Also:
  Constant Field Values

### OWN_FACET_ADDED

    public static final int OWN_FACET_ADDED

See Also:
  Constant Field Values

### OWN_FACET_REMOVED

    public static final int OWN_FACET_REMOVED

See Also:
  Constant Field Values

### OWN_SLOT_VALUE_CHANGED

    public static final int OWN_SLOT_VALUE_CHANGED

See Also:
  Constant Field Values

### OWN_FACET_VALUE_CHANGED

    public static final int OWN_FACET_VALUE_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### FrameEvent

    public FrameEvent(Frame frame,
                      int type)

### FrameEvent

    public FrameEvent(Frame frame,
                      int type,
                      Object argument)

### FrameEvent

    public FrameEvent(Frame frame,
                      int type,
                      Object argument,
                      Object argument2)

Method Detail

### getFacet

    public Facet getFacet()

### getFrame

    public Frame getFrame()

### getOldName

    public String getOldName()

### getOldValues

    public List getOldValues()

### getSlot

    public Slot getSlot()

### getNewFrame

    public Frame getNewFrame()

### isDeletingFrameEvent

    public boolean isDeletingFrameEvent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.